> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omniall.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Video to video (official)

> Official-style video-to-video.

**Path:** `POST https://api.omniall.ai/runwayml/v1/video_to_video`

Auth: `Authorization: Bearer sk-...`



## OpenAPI

````yaml openapi/runway-official.yaml POST /runwayml/v1/video_to_video
openapi: 3.1.0
info:
  title: Omniall AI — Runway (official)
  version: 1.0.0
  description: >-
    Runway official-style paths.


    **Image-to-video:** `POST https://api.omniall.ai/runwayml/v1/image_to_video`


    **Video-to-video:** `POST /runwayml/v1/video_to_video`


    **Poll:** `GET /runwayml/v1/tasks/{task_id}`


    Models: `gen3a_turbo`, `gen4_turbo`, `gen4_aleph`, … — see [Model
    Square](https://omniall.ai/pricing).


    Auth: `Authorization: Bearer sk-...`
servers:
  - url: https://api.omniall.ai
security: []
paths:
  /runwayml/v1/video_to_video:
    post:
      tags:
        - Runway official
      summary: Video to video
      description: |-
        Official-style video-to-video.

        **Path:** `POST https://api.omniall.ai/runwayml/v1/video_to_video`

        Auth: `Authorization: Bearer sk-...`
      operationId: runwayOfficialVideoToVideo
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            example: Bearer sk-...
          description: Bearer API key.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - model
                - videoUri
                - promptText
                - ratio
              properties:
                model:
                  type: string
                  example: gen4_aleph
                videoUri:
                  type: string
                  description: Source video HTTPS / Runway / data URI.
                promptText:
                  type: string
                  maxLength: 1000
                ratio:
                  type: string
                  example: '1280:720'
                seed:
                  type: integer
                  minimum: 0
                  maximum: 4294967295
                references:
                  type: array
                  items:
                    type: object
                    properties:
                      type:
                        type: string
                        example: image
                      uri:
                        type: string
                contentModeration:
                  type: object
                  properties:
                    publicFigureThreshold:
                      type: string
                      enum:
                        - auto
                        - low
            examples:
              video_to_video:
                summary: Video-to-video
                value:
                  videoUri: https://example.com/video.mp4
                  promptText: Keep motion, restyle to neon cyberpunk
                  ratio: '1280:720'
                  seed: 4294967295
                  references:
                    - type: image
                      uri: https://example.com/image.jpg
                  contentModeration:
                    publicFigureThreshold: auto
                  model: gen4_aleph
      responses:
        '200':
          description: Task accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RunwayOfficialTask'
components:
  schemas:
    RunwayOfficialTask:
      type: object
      properties:
        id:
          type: string
        status:
          type: string
          description: PENDING / RUNNING / SUCCEEDED / FAILED …
        createdAt:
          type: string
        output:
          type: array
          items:
            type: string
        progress:
          type: number
        failure:
          type: string
        failureReason:
          type: string

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.